
Katello - Bug #4012

Plugin menu declarations for sync_management and sync_schedules fails on Rails 3.2.8

01/14/2014 03:31 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On RHEL6, the RHSCL 1.0 provides Rails 3.2.8 for which the plugin menu definition fails for sync_management and

sync_schedules.

Associated revisions

Revision 56e27f28 - 01/11/2014 02:47 PM - Eric Helms

Fixes #4012: Converts sync management and sync schedule routes into resources delcarations.

This is needed in order to fix an issue with 3.2.8 and the declaration

of menu's in lib/katello/plugin.rb against Foreman. Rails 3.2.8 is provided

by RHSCL 1.0 and the menu system fails unless a resource for the main

route is delcared via the resources method.

Revision 609ddf6d - 01/14/2014 04:54 PM - Eric Helms

Merge pull request #3563 from ehelms/fix-plugin-routes

Fixes #4012: Converts sync management and sync schedule routes into reso...

History

#1 - 01/14/2014 05:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:56e27f28c9abdbff3d9528389e37b926e2df1f4a.

#2 - 06/06/2014 01:40 PM - Eric Helms

- Triaged set to Yes

#3 - 08/21/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
